hash_policy.hpp File Reference

Go to the source code of this file.

## Classes

class | __gnu_pbds::cc_hash_max_collision_check_resize_trigger< External_Load_Access, Size_Type >
class | __gnu_pbds::direct_mask_range_hashing< Size_Type >
class | __gnu_pbds::direct_mod_range_hashing< Size_Type >
class | __gnu_pbds::hash_exponential_size_policy< Size_Type >
class | __gnu_pbds::hash_load_check_resize_trigger< External_Load_Access, Size_Type >
class | __gnu_pbds::hash_prime_size_policy
class | __gnu_pbds::hash_standard_resize_policy< Size_Policy, Trigger_Policy, External_Size_Access, Size_Type >
class | __gnu_pbds::linear_probe_fn< Size_Type >
class | __gnu_pbds::quadratic_probe_fn< Size_Type >

## Namespaces

namespace | __gnu_pbds

## Macros

#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_T_DEC
#define | PB_DS_CLASS_T_DEC
#define | PB_DS_CLASS_T_DEC
#define | PB_DS_CLASS_T_DEC
#define | PB_DS_CLASS_T_DEC
#define | PB_DS_CLASS_T_DEC
#define | PB_DS_CLASS_T_DEC
#define | PB_DS_CLASS_T_DEC
#define | PB_DS_CLASS_T_DEC
#define | PB_DS_SIZE_BASE_C_DEC

## Enumerations

enum | { num_distinct_sizes_32_bit, num_distinct_sizes_64_bit, num_distinct_sizes }

## Variables

static const std::size_t | __gnu_pbds::detail::g_a_sizes [num_distinct_sizes_64_bit]

## Detailed Description

Contains hash-related policies.

Definition in file hash_policy.hpp.